# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'convox_api_client/version'

Gem::Specification.new do |spec|
  spec.name          = "convox_api_client"
  spec.version       = ConvoxApiClient::VERSION
  spec.authors       = ["fw.matt"]
  spec.email         = ["matt@futureworkshops.com"]

  spec.summary       = 'Ruby API client for the Convox platform'
  spec.homepage      = 'https://github.com/HarmonyMobile/convox_api_client.git'
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.require_paths = ["lib"]

  spec.add_dependency 'httparty', '>= 0.14.0'
  spec.add_dependency 'httmultiparty', '>= 0.3.16'
  spec.add_dependency 'faye-websocket', '>= 0.10.6'

  spec.add_development_dependency 'bundler', '~> 1.14'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.5'
  spec.add_development_dependency 'webmock', '~> 2.3.2'
  spec.add_development_dependency 'byebug'
end
